'use strict';

var fs = require('fs');

var resolve = require('../resolve');

var getPackageFilePath = require('../getPackageFilePath');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getPackage(_ref) {
  var _fs = _ref._fs,
      _getPackageFilePath = _ref._getPackageFilePath;
  return JSON.parse(_fs.readFileSync(_getPackageFilePath(), 'utf8'));
}

module.exports = resolve(getPackage, {
  fs: fs,
  getPackageFilePath: getPackageFilePath
});
module.exports.getPackage = getPackage;