'use strict';

var fs = require('fs');

var resolve = require('../resolve');

var getConfigFilePath = require('../getConfigFilePath');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getConfig(_ref) {
  var _fs = _ref._fs,
      _getConfigFilePath = _ref._getConfigFilePath;
  return JSON.parse(_fs.readFileSync(_getConfigFilePath(), 'utf8'));
}

module.exports = resolve(getConfig, {
  fs: fs,
  getConfigFilePath: getConfigFilePath
});
module.exports.getConfig = getConfig;