'use strict';

var fs = require('fs');

var resolve = require('../resolve');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getCwd(_ref) {
  var _fs = _ref._fs,
      _process = _ref._process;
  return _fs.realpathSync(_process.cwd());
}

module.exports = resolve(getCwd, {
  fs: fs,
  process: process
});
module.exports.getCwd = getCwd;