'use strict';

var path = require('path');

var resolve = require('../resolve');

var getCwd = require('../getCwd');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getPackageFilePath(_ref) {
  var _path = _ref._path,
      _getCwd = _ref._getCwd;
  return _path.join(_getCwd(), 'package.json');
}

module.exports = resolve(getPackageFilePath, {
  path: path,
  getCwd: getCwd
});
module.exports.getPackageFilePath = getPackageFilePath;