'use strict';

var path = require('path');

var resolve = require('../resolve');
/**
 * @param {Object} di - dependency injection
 * @returns {string} pwd - returns the package working diretory
 **/


function getPwd(_ref) {
  var _path = _ref._path,
      _process = _ref._process;
  return _path.join(_process.mainModule.filename, '..', '..');
}

module.exports = resolve(getPwd, {
  path: path,
  process: process
});
module.exports.getPwd = getPwd;