/* eslint no-console: 0*/
'use strict';

var resolve = require('../resolve');
/**
 * @description clears the terminal
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function renderClear(_ref) {
  var _log = _ref._log;

  // clear console
  _log('\x1Bc');
}

module.exports = resolve(renderClear, {
  log: console.log
});
module.exports.renderClear = renderClear;